import { Renderer } from '@angular/core';
/**
 * Base component class
 */
export declare class BaseComponent {
    protected renderer: Renderer;
    /**
     * Should be overridden with @Input() as metadata [field] cannot be extended though inheritance
     * https://github.com/angular/angular/issues/5415
     */
    id: string;
    constructor(renderer: Renderer);
    /**
     * Get child element by selector.
     * Replacement for `elementRef.nativeElement.querySelector`
     * @returns Returns the matched DOM element or null
     */
    protected getChild(selector: string): HTMLElement;
}
