import { FileEntry, SchematicContext, Tree } from '@angular-devkit/schematics';
import { ClassChanges, OutputChanges, SelectorChange, SelectorChanges } from './schema';
export declare class UpdateChanges {
    private rootPath;
    private host;
    private context;
    protected sourcePaths: string[];
    protected classChanges: ClassChanges;
    protected outputChanges: OutputChanges;
    protected selectorChanges: SelectorChanges;
    private _templateFiles;
    readonly templateFiles: FileEntry[];
    private _tsFiles;
    readonly tsFiles: FileEntry[];
    /**
     * Create a new base schematic to apply changes
     * @param rootPath Root folder for the schematic to read configs, pass __dirname
     */
    constructor(rootPath: string, host: Tree, context?: SchematicContext);
    /** Apply configured changes to the Host Tree */
    applyChanges(): void;
    protected updateSelectors(entry: FileEntry): void;
    protected applySelectorChange(fileContent: string, change: SelectorChange): string;
    protected updateClasses(entry: FileEntry): void;
    protected updateOutputs(entry: FileEntry): void;
    private sourceDirsVisitor(visitor);
}
